This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 233422 - bitmap mode not parsed correctly in config
bitmap mode not parsed correctly in config
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-22 09:01 EDT by Denis Leroy
Modified: 2008-05-06 15:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix parsing of "bitmap" option in config parser (382 bytes, patch)
2007-03-22 09:01 EDT, Denis Leroy
no flags Details | Diff

  None (edit)
Description Denis Leroy 2007-03-22 09:01:27 EDT
There's a simple bug in config.c, long fixed in upstream, that makes it
impossible to use a write-intent bitmap. The config parsing code doesn't
correctly copy the bitmap filename. It's really a simple bug. Please find
attached patch. This affects FC-6.

Thanks :-)
Comment 1 Denis Leroy 2007-03-22 09:01:27 EDT
Created attachment 150657 [details]
Fix parsing of "bitmap" option in config parser
Comment 2 Doug Ledford 2007-03-31 09:55:27 EDT
I've built mdadm-2.6.1 for fc6.  The release notes for 2.6.0 specifically
mention fixing a bitmap bug in the mdadm.conf file parsing.  If this bug isn't
fixed by the 2.6.1 mdadm, please reopen.
Comment 3 Bug Zapper 2008-04-04 02:37:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:23:39 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.